/* htclient.ncurses - a ncurses-based client for the game Holsham Traders
   Copyright (C) 1999 Uwe Hermann

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* log.h  --  header file of log.c */


#ifndef LOG_H
#define LOG_H    /* To stop multiple inclusions. */


#include <stdio.h>
#include <syslog.h>

#define HTSLOG_NONE  0
#define HTSLOG_ERROR 1
#define HTSLOG_INFO  2
#define HTSLOG_DEBUG 3

#define HTSLOG_STDERR 0
#define HTSLOG_FILE   1
#define HTSLOG_SYSLOG 2

extern int verbosity_level;

void htslog(int log_type, int log_level, char *some_message);


#endif /* LOG_H */

